Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class LockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.openjpa.util.OpenJPAException
                      org.apache.openjpa.util.StoreException
                          org.apache.openjpa.util.LockException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class LockException

extends StoreException

Exception indicating that locks on one or more objects could not be acquired.

Since:
  0.3.1
Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.util.StoreException
`LOCK, OBJECT_EXISTS, OBJECT_NOT_FOUND, OPTIMISTIC, QUERY, REFERENTIAL_INTEGRITY`

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNAVAILABLE, UNSUPPORTED, USER, WRAPPED`

Constructor Summary
`LockException(Object failed)`
`LockException(Object failed, int timeout)`
`LockException(Object failed, int timeout, int lockLevel)`

Method Summary
`int` | `getLockLevel()`
`int` | `getSubtype()` Exception subtype.
`int` | `getTimeout()` The number of milliseconds to wait for a lock.
`void` | `setLockLevel(int lockLevel)`
`LockException` | `setTimeout(int timeout)` The number of milliseconds to wait for a lock.
`String` | `toString()`

Methods inherited from class org.apache.openjpa.util.StoreException
`getType`

Methods inherited from class org.apache.openjpa.util.OpenJPAException
`getCause, getFailedObject, getNestedThrowables, isFatal, printStackTrace, printStackTrace, printStackTrace, setCause, setFailedObject, setFatal, setNestedThrowables`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Constructor Detail

### LockException

    public LockException(Object failed)

### LockException

    public LockException(Object failed,
                         int timeout)

### LockException

    public LockException(Object failed,
                         int timeout,
                         int lockLevel)

Method Detail

### getSubtype

    public int getSubtype()

  Description copied from class: `OpenJPAException`
  Exception subtype.

  Specified by:
    `getSubtype` in interface `ExceptionInfo`
  Overrides:
    `getSubtype` in class `OpenJPAException`

### getTimeout

    public int getTimeout()

  The number of milliseconds to wait for a lock.

### setTimeout

    public LockException setTimeout(int timeout)

  The number of milliseconds to wait for a lock.

### setLockLevel

    public void setLockLevel(int lockLevel)

### getLockLevel

    public int getLockLevel()

### toString

    public String toString()

  Overrides:
    `toString` in class `OpenJPAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.